GET V1/PaymentsMaster.{ext}/SubAccounts?productId={productId}&clientId={clientId}&status={status}&clientSubAccountId={clientSubAccountId}&pageIndex={pageIndex}&pageSize={pageSize}

Returns client sub accounts details.
Mandatory Fileds: N/A
Optional Fileds : ProductId,clientId,status,clientSubAccountId

Request Information

URI Parameters

NameDescriptionTypeAdditional information
productId

This is productId.

string

Default value is

clientId

This is clientId.

string

Default value is

status

This is status.

string

Default value is

clientSubAccountId

This is clientSubAccountId.

string

Default value is

pageIndex

Indicates how many records to skip .

integer

Default value is 0

pageSize

Indicates number of records to be returned.

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

List of Sub Accounts based on action to perform.

EMSResponseOfEMS.Payments.Entities.SubAccounts
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.SubAccounts

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "SubAccounts",
  "response": {
    "subAccountList": [
      {
        "clientSubAccountId": 1,
        "productId": 1,
        "productName": "sample string 1",
        "clientId": 1,
        "clientName": "sample string 2",
        "accountCurrency": "sample string 3",
        "accountType": "sample string 4",
        "bankName": "sample string 5",
        "accountNumber": "sample string 6",
        "companyId": 1,
        "companyCode": "sample string 7",
        "companyBankAcctNumber": "sample string 8",
        "abaRoutingNumber": "sample string 9",
        "bankType": "sample string 10",
        "address1": "sample string 11",
        "address2": "sample string 12",
        "city": "sample string 13",
        "state": "sample string 14",
        "zip": "sample string 15",
        "country": "sample string 16",
        "status": "sample string 17"
      },
      {
        "clientSubAccountId": 1,
        "productId": 1,
        "productName": "sample string 1",
        "clientId": 1,
        "clientName": "sample string 2",
        "accountCurrency": "sample string 3",
        "accountType": "sample string 4",
        "bankName": "sample string 5",
        "accountNumber": "sample string 6",
        "companyId": 1,
        "companyCode": "sample string 7",
        "companyBankAcctNumber": "sample string 8",
        "abaRoutingNumber": "sample string 9",
        "bankType": "sample string 10",
        "address1": "sample string 11",
        "address2": "sample string 12",
        "city": "sample string 13",
        "state": "sample string 14",
        "zip": "sample string 15",
        "country": "sample string 16",
        "status": "sample string 17"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.